Gentoo Archives: gentoo-commits

From: Patrick McLean <chutzpah@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/repoze-lru/
Date: Thu, 26 Mar 2020 22:39:19
Message-Id: 1585262341.b8a7f25cbe44e5de5b12d1c467357da7770aaf09.chutzpah@gentoo
commit:     b8a7f25cbe44e5de5b12d1c467357da7770aaf09
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Mar 26 18:54:12 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Mar 26 22:39:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8a7f25c

dev-python/repoze-lru-0.7-r1: revbump, add py38, pypy3, eclass update

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.95, Repoman-2.3.21
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/repoze-lru/Manifest                 |  1 +
 dev-python/repoze-lru/repoze-lru-0.7-r1.ebuild | 29 ++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/repoze-lru/Manifest b/dev-python/repoze-lru/Manifest
index 5f6dbcc55f9..f2c846edd3d 100644
--- a/dev-python/repoze-lru/Manifest
+++ b/dev-python/repoze-lru/Manifest
@@ -1,2 +1,3 @@
+DIST repoze-lru-0.7-r1.tar.gz 19489 BLAKE2B b0a33dab1fd69962f04e9c088b005a2a6d456ec8dd17f628b7077b51841bef5e9503034959c8b89e84bf5c471d9366d467ee6b7a610508c4b098775532628fc2 SHA512 52e7ab83979d34a4f0c97e62600e64bf430ed0311120fe948f6b407b7713446d5e954c54f811b85ade74eebf2a4d54653c12c38d07bdac51c456aea86334468f
 DIST repoze.lru-0.6.tar.gz 19814 BLAKE2B af86797daf286daa709556194d9aac5d72151b1879adfb5d0f209f7f5a1198fe0772117ad8d13b7cf8caafc0d74c2b03b920814770c6a9db3ee44707b6d8ea8e SHA512 32732286f41ac6ad55e65fa15907e44558e7fbf089d1565c9c413be7c4af158b7a8ef9fc6be68998f8a9b4cd836028b8e706ba508a328a7fa338e95364e968db
 DIST repoze.lru-0.7.tar.gz 19591 BLAKE2B 839cd757ab51943b46cab22190c4e3bb829f7a94ad66647aa99072d535b7366778b57aedc556c8c91f012534154e6e2ef7608b2d4db2b64e7ba54486404a183e SHA512 c4d8b015931c4265fa8559f99c9d5016835574b368ebe0d49fe503afe908020b2bf29836606134e00c6c0aa436d52a00bb73d6ab80e98d0802f54bd2e4686476

diff --git a/dev-python/repoze-lru/repoze-lru-0.7-r1.ebuild b/dev-python/repoze-lru/repoze-lru-0.7-r1.ebuild
new file mode 100644
index 00000000000..6d7476fcc9e
--- /dev/null
+++ b/dev-python/repoze-lru/repoze-lru-0.7-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+MY_PN=${PN/-/.}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="A tiny LRU cache implementation and decorator"
+HOMEPAGE="http://www.repoze.org"
+SRC_URI="https://github.com/repoze/repoze.lru/archive/${PV}.tar.gz -> ${PN}-${PVR}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="repoze"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="dev-python/namespace-repoze[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	find "${D}" -name '*.pth' -delete || die
+}